Groovy Documentation

## org.codehaus.groovy.transform
[Groovy] Class ASTTestTransformation

    java.lang.Object
      org.codehaus.groovy.transform.AbstractASTTransformation
          org.codehaus.groovy.transform.ASTTestTransformation

All Implemented Interfaces:
  CompilationUnitAware

    @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
    class ASTTestTransformation
    extends AbstractASTTransformation

Nested Class Summary
`static class` | `ASTTestTransformation.LabelFinder`

Method Summary
`void` | `setCompilationUnit(CompilationUnit unit)`
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class AbstractASTTransformation
addError, checkNotInterface, getMemberList, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, tokenize

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### setCompilationUnit

    void setCompilationUnit(CompilationUnit unit)

### visit

    void visit(ASTNode[] nodes, SourceUnit source)

Groovy Documentation